apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: engine-low
  namespace: workflow

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      backend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/kubernetes-engine:3546957f1e7e8278fc6363da0287573e9454275a
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: engine-low

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 8000

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: engine-low-service

          type:
            _default: ClusterIP

          port:
            _default: 8000

          targetPort:
            _default: 8000

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred
        labels:
          monitoring: prometheus

        envs:
          - name: RABBITMQ_HOST
            value:
              _default: "rabbitmq-service.workflow.svc.cluster.local"

          - name: RABBITMQ_PORT
            value:
              _default: "5672/api"

          - name: POSTGRES_ADDRESS
            value:
              _default: "postgres-service"

          - name: POSTGRES_PORT
            value:
              _default: "5432"

          - name: POSTGRES_POOL_SIZE
            value:
              _default: "20"

          - name: ENVIRONMENT
            value:
              _default: "prod"

          - name: API_ADDRESS
            value:
              _default: "0.0.0.0:8000"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: S3_SERVICE_ACCOUNT
            value:
              _default: "/etc/sarex/yc-s3/yc-s3-service-account.json"

          - name: BIM_API_V2_DB
            value:
              _default: "/etc/sarex/bim-api-v2-db-prod.json"

          - name: PDM_API_DB
            value:
              _default: "/etc/pdm/pdm-api-db-prod.json"

          - name: WORKSPACE_API_DB
            value:
              _default: "/etc/ws/ws-api-db-prod.json"

          - name: ISSUE_API_DB
            value:
              _default: "/etc/issues/issue-api-db-prod.json"

          - name: MAILGUN
            value:
              _default: "/etc/mailgun-secret/env.json"

          - name: INTERNAL_PDM_URL
            value:
              _default: "http://documentations-api.documentations.svc.cluster.local:8080"

          - name: INTERNAL_FILESTREAM_URL
            value:
              _default: "http://documentations-filestream.documentations.svc.cluster.local:8080"

          - name: EXTERNAL_PDM_URL
            value:
              _default: "http://documentations-api.documentations.svc.cluster.local:8080"

          - name: EXTERNAL_FILESTREAM_URL
            value:
              _default: "http://documentations-filestream-service.documentations.svc.cluster.local:8080"

          - name: RESOURCES_API_INTERNAL_HOST
            value:
              _default: "http://resources-service.resources.svc.cluster.local:8000"

          - name: ENABLE_SQL_QUERY
            value:
              _default: "0"

          - name: ENABLE_S3_STORAGE
            value:
              _default: "1"

          - name: ENABLE_S3V2_STORAGE
            value:
              _default: "1"

          - name: ENABLE_PDM_STORAGE
            value:
              _default: "1"

          - name: ENABLE_URL_STORAGE
            value:
              _default: "1"

          - name: ENABLE_SRX_TMP
            value:
              _default: "1"

          - name: ENABLE_BIM_API_V2_DB
            value:
              _default: "1"

          - name: ENABLE_WORKSPACE_API_DB
            value:
              _default: "1"

          - name: ENABLE_ISSUE_API_DB
            value:
              _default: "1"

          - name: ENABLE_RESOURCES_API
            value:
              _default: "1"

          - name: ENABLE_PDM_API_DB
            value:
              _default: "1"

          - name: ENABLE_COMPARISONS_API_DB
            value:
              _default: "1"

          - name: ENABLE_MAIL_GUN
            value:
              _default: "1"

          - name: ENABLE_AMQP_EXECUTOR
            value:
              _default: "1"

          - name: ENABLE_KUBERNETES_EXECUTOR
            value:
              _default: "1"

          - name: MAX_WORKFLOWS_LIMIT
            value:
              _default: "30"

          - name: CPU_COUNT
            value:
              _default: "1"

          - name: MEMORY_GI
            value:
              _default: "4"

          - name: CPU_COUNT_LOW_RESOURCES
            value:
              _default: "1"

          - name: MEMORY_GI_LOW_RESOURCES
            value:
              _default: "1"

          - name: CPU_COUNT_HIGH_MEM
            value:
              _default: "1"

          - name: MEMORY_GI_HIGH_MEM
            value:
              _default: "4"

          - name: COUNT_RUNNING_WORKERS
            value:
              _default: "1"

          - name: COUNT_CANCELING_WORKERS
            value:
              _default: "1"

          - name: COUNT_HANDLE_JOB_WORKERS
            value:
              _default: "1"

          - name: BIM_API_DEBUG
            value:
              _default: "0"

          - name: BIM_API_V2_DEBUG
            value:
              _default: "0"

          - name: PDM_API_DEBUG
            value:
              _default: "0"

          - name: COMPARISONS_API_DEBUG
            value:
              _default: "0"

          - name: WORKSPACE_API_DEBUG
            value:
              _default: "0"

          - name: JOBS_NAMESPACE
            value:
              _default: "workflow"

          - name: ISSUE_API_DEBUG
            value:
              _default: "0"

          - name: WORKFLOWS_SENTRY_DSN
            value:
              _default: "https://866b532efdbb4764a7551b76231232fc@o279218.ingest.sentry.io/543123"

          - name: WORKFLOWS_SENTRY_DEBUG
            value:
              _default: "0"

          - name: TOLERATION_KEY
            value:
              _default: "dedicated"

          - name: TOLERATION_VALUE
            value:
              _default: "processing-light"

          - name: TOLERATION_KEY_HIGH_MEM
            value:
              _default: "dedicated"

          - name: TOLERATION_VALUE_HIGH_MEM
            value:
              _default: "processing-light"

          - name: TOLERATION_KEY_PERSISTENT
            value:
              _default: "dedicated"

          - name: TOLERATION_VALUE_PERSISTENT
            value:
              _default: "processing-light"

          - name: RABBITMQ_CREATE_EXCHANGE
            value:
              _default: "autodesk.inputMessage"

          - name: RABBITMQ_CANCEL_EXCHANGE
            value:
              _default: "autodesk.cancelMessage"

          - name: RABBITMQ_CREATE_ROUTING_KEY
            value:
              _default: "converting"

          - name: RABBITMQ_CANCEL_TOPIC
            value:
              _default: "cancel"

          - name: RABBITMQ_COMPLETENESS_EXCHANGE
            value:
              _default: "autodesk.outputMessage"

          - name: RABBITMQ_COMPLETENESS_TOPIC
            value:
              _default: "output_navis"

          - name: CONTROL_PLANE_PERIOD
            value:
              _default: "10s"

          - name: WORKFLOW_PRIORITY
            value:
              _default: "low"

          - name: DEFAULT_TOLERATION_KEY
            value:
              _default: "dedicated"

          - name: DEFAULT_TOLERATION_VALUE
            value:
              _default: "processing-light"

          - name: DEFAULT_NODE_SELECTOR_KEY
            value:
              _default: "dedicated"

          - name: DEFAULT_NODE_SELECTOR_VALUE
            value:
              _default: "processing-light"
        secretEnvs:
          - name: RABBITMQ_USER
            secretName:
              _default: "rabbitmq-secret"
            secretKey: "username"

          - name: RABBITMQ_PASS
            secretName:
              _default: "rabbitmq-secret"
            secretKey: "password"

          - name: POSTGRES_USER
            secretName:
              _default: "postgres-secret"
            secretKey: "username"

          - name: POSTGRES_PASSWORD
            secretName:
              _default: "postgres-secret"
            secretKey: "password"

          - name: POSTGRES_DB
            secretName:
              _default: "postgres-secret"
            secretKey: "database"

        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""